# 阅读实验源代码
**main.c文件**   
在main函数中首先初始化了一个还未排序的线性表，然后调用冒泡排序函数BubbleSort为线性表进行排序，最后在Windows控制台中打印输出排序后的线性表。   
在main函数的后面，定义了冒泡排序函数BubbleSort，此函数的函数体还不完整，留给读者完成。   
**SeqTable.h文件**   
声明了BubbleSort函数。   
# 在演示模式下调试项目
**按照下面的步骤调试项目：**  
1.	按F7生成项目。
2.	在演示模式下，按F5启动调试项目。程序会在观察点函数的开始位置中断。
3.	重复按F5，直到调试过程结束。

在调试的过程中，每执行“演示流程”窗口中的一行后，仔细观察“可视化数据”窗口内容所发生的变化，理解冒泡排序的执行过程。“可视化数据”窗口显示的数据信息（如下图所示），包括：
-	线性表的长度length。
-	每趟排序比较的次数j。在未初始化时，显示为内存中的随机值。
-	排序完成标志flag（0表示排序未完成；1表示排序已完成）。在未初始化时，显示为内存中的随机值。
-	线性表中元素的值。
a)	可实时显示元素交换及冒泡排序的过程。
b)	已排序的元素所在单元格的填充色为灰色，字体为白色。
c)	对应的当前值与上一次值不相同，该元素用红色的字体显示。
d)	在调试的过程中，可以看到游标的移动。
-	逐次记录每趟排序完成后线性表中元素的值，已排好序的元素所在单元格的填充色为灰色，字体为白色。

![冒泡排序](./img/26.png)

# 编写源代码并通过验证
**按照下面的步骤继续实验：**   
1.	为BubbleSort函数编写源代码。注意，尽量使用已定义的局部变量。  
2.	按F7生成项目。如果生成失败，根据“输出”窗口中的提示信息修改源代码中的语法错误。   
3.	按Alt+F5启动验证。如果验证失败，可以使用“输出”窗口中的“比较”功能，或者在“非演示模式”下按F5启动调试后重复按F10单步调试读者编写的源代码，从而定位错误的位置，然后回到步骤1。  

>
**`提示：`**在验证过程中，主要是检测BubbleSort函数执行完毕后，线性表中元素的顺序是否正确，所以，为了顺利通过验证，读者只需要完成对线性表的排序即可。
>

# 教师参考答案
请教师用户首先访问[教师项目群组](https://www.codecode.net/engintime/ds-lab/teachers-packet),申请权限并审核通过后，再[domain relative url](engintime/ds-lab/teachers-packet/Lab026.git)访问本项目的参考答案